# Web3MQ-SDK-Python
web3mq python sdk


## Install

```bash
pip install web3mq
```

## Feature

- user
- room
- contact
- message


## User api

*user register*

```python
import web3mq

# User's ETH wallet address, get it by MetaMask's API
wallet_address = "your wallet address"
web3mq.do_register(wallet_address)
```

*Get login login_random_secret*

```python
import web3mq

wallet_address = "your wallet address"

login_random_secret = web3mq.login_random_secret(wallet_address)
```

*user login*

```python
import web3mq

#  User's login random secret, get it from get_login_random_secret function
login_random_secret = "login random secret"
wallet_address = "your wallet address"

# Generated by MetaMask-Sign with user's random login secret
signature = "signature"

web3mq.do_login(login_random_secret, signature,wallet_address)
```

*Get user info*

```python
import web3mq


# platform options twitter/instagram/facebook/discord
platform = "twitter"

# User's username on the platform
username = "username"

userinfo = web3mq.get_user_info(platform, username)
```

## Room api

*Create chat room*

> Create a chat room by specifying users

```python
import web3mq

user_ids = ["user_id"]

web3mq.create_chat_room(user_ids)
```

*Get room info*

```python
import web3mq

room_id = "room_id"

web3mq.get_room_info(room_id)
```

*Get room list*

> Get all rooms' id that you are participating in

```python
import web3mq

web3mq.get_my_rooms()
```

*Get my_chats*

```python
import web3mq

page = 1
size = 10
web3mq.get_my_chats(page, size)
```

## Contact api

*Add user to your contact*

> Add an user to your contact list by user's OID

```python
import web3mq

user_id = "user_id"
web3mq.add_user_to_my_contact(user_id)
```


*Get my_contact*

```python
import web3mq

page = 1
size = 10
web3mq.get_my_contact(page, size)
```
